#!/bin/sh

if [ "$1" == "" ]
then
  echo >&2 "
Usage:

  $0 <destdir>
"
  exit 1
fi

set -eu

destdir="$1"
sourcedir=$(readlink -f $(dirname "$0")/../..)
tempdir=$(mktemp -d)

function cleanup()
{
  rm -R "$tempdir"
}

trap cleanup EXIT

(cd "$sourcedir"
 make clean >/dev/null
 (cd httpd
  make clean >/dev/null)
 (cd examples
  make clean >/dev/null)
 cp -a . "$tempdir")

(cd "$tempdir"
 find -depth -name .svn   -exec rm -Rf \{\} \;
 find -depth -name .\*\~  -exec rm -Rf \{\} \;
 find -depth -name \*.rej -exec rm -Rf \{\} \;
 find -depth -name .\#\*  -exec rm -Rf \{\} \;
 version=$(awk 'BEGIN { FS="\"" } ; /version/ { print $2; exit }' META)
 packname="ocaml-xml-rpc-$version"
 mkdir "$packname"
 find -maxdepth 1 -mindepth 1 -name "$packname" -o \
      -exec mv \{\} "$packname" \;
 fakeroot chown root -R "$packname"
 fakeroot chmod -R a=rwX "$packname"
 fakeroot tar czf "$destdir/$packname.tar.gz" .
 echo "Made $destdir/$packname.tar.gz.")
